/* Copyright 2011 Joachim Zobel <jz-2011@heute-morgen.de>.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// $Id: mod_xml2_intern.h 96 2012-04-09 16:19:11Z jo $

/**
 * This deoptionalizes the API functions for internal use
 */

#ifndef MOD_XML2_INTERN_H
#define MOD_XML2_INTERN_H

#undef APR_DECLARE_OPTIONAL_FN 
#define APR_DECLARE_OPTIONAL_FN(ret,name,args) \
      ret name args;

#include "mod_xml2.h"

#undef APR_DECLARE_OPTIONAL_FN 

/**
 * Function to register all optional functions.
 */
void xml2_register_optional_fns();

#endif

